<div class="auth-wrapper">
  <div class="auth-content">
    <div class="auth-bg">
      <span class="r"></span>
      <span class="r s"></span>
      <span class="r s"></span>
      <span class="r"></span>
    </div>
    <div class="card">
      <div class="card-body text-center">
        <div class="mb-4">
          <i class="feather icon-alert-triangle auth-icon"></i>
        </div>
        <h3 class="mb-4 text-danger">{{params['error'] || 'Forbidden!'}}</h3>
        <div class="input-group mb-3">
          <div class="alert alert-danger">{{ params['error_reason'] || 'You are not allowed to view the requested page.'}} <br>
            <pre>{{ params['error_description'] }}</pre>
          </div>
        </div>
        <button class="btn btn-primary mb-4" *ngIf="!$.Auth.isLoggedIn()" (click)="$.Auth.login()">Login</button>
        <button class="btn btn-danger mb-4" *ngIf="$.Auth.isLoggedIn()" (click)="$.Auth.logout()"><i class="feather icon-log-out"></i>Logout</button>
        <p class="mb-0 text-muted">Facing problem? <a [href]="'mailto:'+$.Environment.app.author.email">Contact Administrator</a></p>
      </div>
    </div>
  </div>
</div>